Index: Makefile
===================================================================
--- Makefile	(revision 832ce9e64e92aac0bec4a2525b0b9ecf2ece6411)
+++ Makefile	(revision 16aa8a3daae7f3fd114e8f888ab62d21325e7023)
@@ -1105,18 +1105,20 @@
 	external/fastjet/Voronoi.$(SrcSuf) \
 	external/fastjet/internal/Voronoi.hh
-tmp/external/fastjet/contribs/Nsubjettiness/AxesFinder.$(ObjSuf): \
-	external/fastjet/contribs/Nsubjettiness/AxesFinder.$(SrcSuf)
-tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf): \
-	external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/AxesDefinition.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/AxesDefinition.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/MeasureDefinition.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/MeasureDefinition.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/Njettiness.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/Njettiness.$(SrcSuf)
-tmp/external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(ObjSuf): \
-	external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.$(SrcSuf)
 tmp/external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(ObjSuf): \
 	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(SrcSuf)
-tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf): \
-	external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/TauComponents.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/TauComponents.$(SrcSuf)
+tmp/external/fastjet/contribs/Nsubjettiness/XConePlugin.$(ObjSuf): \
+	external/fastjet/contribs/Nsubjettiness/XConePlugin.$(SrcSuf)
 tmp/external/fastjet/contribs/RecursiveTools/ModifiedMassDropTagger.$(ObjSuf): \
 	external/fastjet/contribs/RecursiveTools/ModifiedMassDropTagger.$(SrcSuf) \
@@ -1264,5 +1266,5 @@
 	external/fastjet/contribs/Nsubjettiness/Njettiness.hh \
 	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.hh \
-	external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.hh \
+	external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.hh \
 	external/fastjet/tools/Filter.hh \
 	external/fastjet/tools/Pruner.hh \
@@ -1290,6 +1292,5 @@
 	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.hh \
 	external/fastjet/contribs/Nsubjettiness/Njettiness.hh \
-	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.hh \
-	external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.hh
+	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.hh
 tmp/modules/RunPUPPI.$(ObjSuf): \
 	modules/RunPUPPI.$(SrcSuf) \
@@ -1343,11 +1344,12 @@
 	tmp/external/fastjet/TilingExtent.$(ObjSuf) \
 	tmp/external/fastjet/Voronoi.$(ObjSuf) \
-	tmp/external/fastjet/contribs/Nsubjettiness/AxesFinder.$(ObjSuf) \
-	tmp/external/fastjet/contribs/Nsubjettiness/MeasureFunction.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/AxesDefinition.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/MeasureDefinition.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/Njettiness.$(ObjSuf) \
-	tmp/external/fastjet/contribs/Nsubjettiness/NjettinessDefinition.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.$(ObjSuf) \
 	tmp/external/fastjet/contribs/Nsubjettiness/Nsubjettiness.$(ObjSuf) \
-	tmp/external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/TauComponents.$(ObjSuf) \
+	tmp/external/fastjet/contribs/Nsubjettiness/XConePlugin.$(ObjSuf) \
 	tmp/external/fastjet/contribs/RecursiveTools/ModifiedMassDropTagger.$(ObjSuf) \
 	tmp/external/fastjet/contribs/RecursiveTools/Recluster.$(ObjSuf) \
@@ -1703,4 +1705,9 @@
 	@touch $@
 
+external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.hh: \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/JetDefinition.hh
+	@touch $@
+
 display/DelphesBranchElement.h: \
 	display/DelphesCaloData.h
@@ -1852,9 +1859,4 @@
 modules/BTagging.h: \
 	classes/DelphesModule.h
-	@touch $@
-
-external/fastjet/contribs/Nsubjettiness/WinnerTakeAllRecombiner.hh: \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/JetDefinition.hh
 	@touch $@
 
